Bug 1083721 - Review Request: rendercheck - Tool to verify correct operation of the XRENDER extension
Summary: Review Request: rendercheck - Tool to verify correct operation of the XRENDER...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-02 19:59 UTC by Matěj Cepl
Modified: 2018-04-11 06:48 UTC (History)
3 users (show)

Fixed In Version: rendercheck-1.4-1.0.2.20140402GIT589bb58.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-29 15:51:26 UTC
Type: ---
nonamedotc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matěj Cepl 2014-04-02 19:59:20 UTC
Spec URL: http://mcepl.fedorapeople.org/tmp/rendercheck.spec
SRPM URL: http://mcepl.fedorapeople.org/tmp/rendercheck-1.4-1.0.20140402GIT2fd8151.fc21.src.rpm
Description:
Tests a Render extension implementation against separate calculations of expected output. 
Fedora Account System Username: mcepl

Comment 1 Mukundan Ragavan 2014-04-02 20:08:11 UTC
I can take this.

Comment 2 Mukundan Ragavan 2014-04-28 23:32:04 UTC
Sorry for the delayed review. Please see detailed review below.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

---> Source tarball has the file COPYING which is not included under %doc. Please fix.

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 14 files have unknown
     license. Detailed output of licensecheck in
     /home/mukundan/personal/pkgs/reviews/1083721-rendercheck/licensecheck.txt

---> This seems fine to me.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed

---> EL 5 support? If not, please consider modernizing the spec.

[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[?]: Package is not known to require an ExcludeArch tag.

---> s390 and s390x

[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

---> perhaps modernize the spec?

[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rendercheck-1.4-1.0.20140402GIT2fd8151.fc21.x86_64.rpm
          rendercheck-1.4-1.0.20140402GIT2fd8151.fc21.src.rpm
rendercheck.x86_64: W: incoherent-version-in-changelog 1.4-1.0.20140402GIT2fd8151.el7 ['1:1.4-1.0.20140402GIT2fd8151.fc21', '1:1.4-1.0.20140402GIT2fd8151']
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rendercheck
rendercheck.x86_64: W: incoherent-version-in-changelog 1.4-1.0.20140402GIT2fd8151.el7 ['1:1.4-1.0.20140402GIT2fd8151.fc21', '1:1.4-1.0.20140402GIT2fd8151']
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
rendercheck (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libXrender.so.1()(64bit)
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
rendercheck:
    rendercheck
    rendercheck(x86-64)



Source checksums
----------------
http://cgit.freedesktop.org/xorg/app/rendercheck/snapshot/rendercheck-2fd815135e7769aa9dd0d3b8cb558350ba7eb70d.tar.gz :
  CHECKSUM(SHA256) this package     : 3c5d5edd627980a1c14b7dfa2d147810fbb6bd90229ca8d024b055caedab395d
  CHECKSUM(SHA256) upstream package : 5da1ce21fdd78b5dca0c9ee117cfd5f13af9fb3489b9df56f76ba22f686b4216
However, diff -r shows no differences


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1083721
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Mukundan Ragavan 2014-04-28 23:45:42 UTC
koji scratch builds - http://koji.fedoraproject.org/koji/taskinfo?taskID=6792369

Comment 5 Mukundan Ragavan 2014-04-29 12:45:20 UTC
All good here now! Package Approved.

Comment 6 Matěj Cepl 2014-04-29 12:49:23 UTC
New Package SCM Request
=======================
Package Name: rendercheck
Short Description: Tool to verify correct operation of the XRENDER extension
Owners: mcepl
Branches: el6 epel7 f20
InitialCC:

Comment 7 Gwyn Ciesla 2014-04-29 14:19:00 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-04-29 16:01:22 UTC
rendercheck-1.4-1.0.2.20140402GIT589bb58.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rendercheck-1.4-1.0.2.20140402GIT589bb58.el6

Comment 10 Fedora Update System 2014-04-29 16:04:10 UTC
rendercheck-1.4-1.0.2.20140402GIT589bb58.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rendercheck-1.4-1.0.2.20140402GIT589bb58.fc20

Comment 11 Fedora Update System 2014-05-16 03:00:28 UTC
rendercheck-1.4-1.0.2.20140402GIT589bb58.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 12 Fedora Update System 2014-05-16 10:06:49 UTC
rendercheck-1.4-1.0.2.20140402GIT589bb58.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.